package com.fr.plugin.xx.zheneng.proxy.http;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.xx.zheneng.proxy.config.ApiProxyConfig;
import com.fr.plugin.xx.zheneng.proxy.util.Constants;
import com.fr.stable.fun.Authorize;

@Authorize(callSignKey = Constants.PLUGIN_ID)
public class HttpHandlerProvider extends AbstractHttpHandlerProvider {

    @Override
    public HttpHandler[] registerHandlers() {
        ApiProxyConfig.getInstance();
        return new HttpHandler[]{
                new xxWebProvider(),
        };
    }
}
