package com.fr.plugin.xx.zheneng.proxy.http;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.xx.zheneng.proxy.xx.xxAppRequest;
import com.fr.plugin.xx.zheneng.proxy.util.Constants;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@EnableMetrics
public class xxWebProvider extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }


    @Override
    public String getPath() {
        return "/proxy/xx";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Focus(id = Constants.PLUGIN_ID, text = "API代理插件 ", source = Original.PLUGIN)
    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        String proxyRequestType = WebUtils.getHTTPRequestParameter(httpServletRequest, "proxyRequestType");
        if ("IAM".equals(proxyRequestType)) {

        } else if ("NOTYPE".equals(proxyRequestType)) {

        } else {
            xxAppRequest.action(httpServletRequest, httpServletResponse);
        }
    }
}
